// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: CcdIterator
// Author: Hassan Siddiqui
// 
// Modifications: See ChangeLog
// 
// $Id: CcdIterator.h,v 1.2 1999/02/17 13:29:39 hsiddiqu Exp $

#ifndef CcdIterator_H
#define CcdIterator_H

// General classes

#include <iostream.h>

// SAS-specific classes


// General utility functions
#include "Tracer.h"


// Local classes
#include "SimpleIterator.h"
#include "CoreData.h"

// ============================================================================

// class CcdIterator

// An interface for traversing an aggregate of objects.

// ============================================================================

template <class Item>
class CcdIterator : public SimpleIterator<Item>
{
public:

  CcdIterator(const Item& firstItem,
	      const Item& lastItem,
	      CoreData * coreData) :
    SimpleIterator<Item>(firstItem, lastItem),
    _coreData(coreData)
    {
      PROC;
      //      cout << "CcdIterator called. " << endl;
      ENDPROC;
    }

  void first()
    {
      PROC;
      SimpleIterator<int>::first();
      _coreData->ccdNumber(currentItem());
      ENDPROC;
    }

  void next ()
    { 
      PROC;
      SimpleIterator<int>::next();
      _coreData->ccdNumber(currentItem());
      ENDPROC;
    }

private:
  // Disallow default constructor
  CcdIterator();
  
  CoreData * _coreData;

};

#endif
