// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: DummySplitEventsData
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: DummySplitEventsData.h,v 1.3 2000/03/28 12:42:49 hsiddiqu Exp $

#ifndef DummySplitEventsData_H
#define DummySplitEventsData_H

/* General */
#include <iostream.h>
#include <vector>
#include <map.h>

/* SAS-specific */
#include "Dal.h"

/* Local */
#include "SplitEventsData.h"
#include "InterpolatedData.h"

// =================================================================

// class DummySplitEventsData

// This implementation loads in the split event distribution 
// from a Dal dataset.

// =================================================================

class DummySplitEventsData : public SplitEventsData
{

public:

  //  Constructors 
  DummySplitEventsData( unsigned int   numberOfPatterns,
			const string & splitEventsFile);

  /*  Destructors */
  ~DummySplitEventsData();

  /* Get interpolated Pattern information for given energy */
  const vector<double> dist( double energy ) const;

private:

  InterpolatedData< vector<double> > _data;

};

#endif
