// 
// Module: ProbabilityFunctions
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: ProbabilityFunctions.cc,v 1.1 2000/03/28 12:42:55 hsiddiqu Exp $

// General classes
#include <math.h>

/* SAS-specific */

/* Local classes */
#include "ProbabilityFunctions.h"

double ProbabilityFunctions::prob1 (const SplitEventsDist & alpha, double flux)
{
  PROC;
  RETURN 1-exp(-alpha[0] * flux);
}

double ProbabilityFunctions::prob2 (const SplitEventsDist & alpha, double flux)
{
  PROC;
  RETURN 1-exp(-alpha[1] * flux * 0.5);
}
