// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: ResponseCorrector
// Author: Hassan Siddiqui
//
// Description: 
// Base response generator.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: ResponseCorrector.h,v 1.1 2000/03/28 12:42:56 hsiddiqu Exp $

#ifndef ResponseCorrector_H
#define ResponseCorrector_H

// General classes

#include <vector>
#include <map>

// SAS-specific classes

#include "Dal.h"
#include "Tracer.h"

// Local Classes

// -----------------------------------------------------------------------------------

// class ResponseCorrector

// Baseline response corrector.

// -----------------------------------------------------------------------------------

class ResponseCorrector
{

public:
  
  /* Constructor */

  ResponseCorrector()
    {
    }

  /* Destructor */

  virtual ~ResponseCorrector(){};

  /* Factory methods */

  virtual const vector<double> correctedResponse( const Interval<double>& ebin0 ) const = 0;

private:

};

#endif






