// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: SplitEventsData
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: SplitEventsData.h,v 1.1 1999/02/04 16:13:50 hsiddiqu Exp $

#ifndef SplitEventsData_H
#define SplitEventsData_H

// General classes
#include <iostream.h>

// SAS-specific classes

// General utility functions
#include "Tracer.h"
#include <vector>

// Local classes

// ===========================================================================

// class SplitEventsData

// Abstract class that returns the split event distribution 
// for the given instrument, as a function of energy.

// ===========================================================================

typedef vector<double> SplitEventsDist;

class SplitEventsData
{

public:

  //  Constructors 
  SplitEventsData(unsigned int numberOfPatterns):
    _numberOfPatterns(numberOfPatterns)
    {};

  //  Destructors 
  virtual ~SplitEventsData(){};

  virtual const SplitEventsDist dist( double energy ) const = 0;

  int numberOfPatterns() const
    {
      PROC;
      RETURN _numberOfPatterns;
    }

private:

  unsigned int _numberOfPatterns;

};

#endif
