// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: RectPhotonDistribution
// Author: Hassan Siddiqui
//
// Description: 
// Models incident photon distribution on detector.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: RectPhotonDistribution.h,v 1.2 2000/03/28 12:42:56 hsiddiqu Exp $

#ifndef RectPhotonDistribution_H
#define RectPhotonDistribution_H

/* General */

/* SAS-specific */

/* Local */
#include "PhotonDistribution.h"

// =================================================================

// class RectPhotonDistribution

// Models a rectangular shaped photon distribution.

// =================================================================

class RectPhotonDistribution : public PhotonDistribution
{

public:

  /* Constructor */
  RectPhotonDistribution( double energyLow,
			  double energyHigh,
			  double level);

  /* Determine flux (/s) for given energy */
  double flux(double energy ) const;

private:

  // Suppress default constructor
  RectPhotonDistribution();

  double                 _energyLow;
  double                 _energyHigh;
  double                 _level;

};
#endif




