// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: SplitPatternFuncs
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: SplitPatternFuncs.h,v 1.3 2000/03/28 12:43:00 hsiddiqu Exp $

#ifndef SplitPatternFuncs_H
#define SplitPatternFuncs_H

/* General */

/* SAS-specific */

/* Local classes */
#include "PatternFuncs.h"
#include "SplitEventsData.h"


class SplitPatternFuncs : public PatternFuncs
{
public:
  
  /* Constructors */
  SplitPatternFuncs( const SplitEventsData& splitEventsData);

  virtual ~SplitPatternFuncs();

protected:
  
  const PileupData pileupData ( double energy, double flux) const;

  virtual const PileupData getPileup ( const SplitEventsDist& dist,
				       double                 flux) const = 0;
  
private:

  const SplitEventsData & _splitEventsData;
};
#endif
