// 
// Module: TelCoords
// Author: Hassan Siddiqui
// 
// Modifications: See ChangeLog
// 
// $Id: TelCoords.cc,v 1.1 2000/05/25 11:19:50 hsiddiqu Exp $

/* C/C++ */

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "TelCoords.h"


TelCoords::TelCoords(double theta, double phi):
  _theta(theta),
  _phi(phi)
{
  PROC;
  ENDPROC;
}

double TelCoords::theta() const { PROC; RETURN _theta; }
double TelCoords::phi()   const { PROC; RETURN _phi; }

